Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
postgres_user_credentials = client.cloud.databases.postgres.clusters.user_credentials.regenerate(
username="username",
project_id=0,
region_id=0,
cluster_name="cluster_name",
)
print(postgres_user_credentials.password)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
postgresUserCredentials, err := client.Cloud.Databases.Postgres.Clusters.UserCredentials.Regenerate(
context.TODO(),
"username",
cloud.DatabasePostgresClusterUserCredentialRegenerateParams{
ProjectID: gcore.Int(0),
RegionID: gcore.Int(0),
ClusterName: "cluster_name",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", postgresUserCredentials.Password)
}curl --request POST \
--url https://api.gcore.com/cloud/v1/dbaas/postgres/clusters/{project_id}/{region_id}/{cluster_name}/users/{username}/credentials \
--header 'Authorization: <api-key>'const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/dbaas/postgres/clusters/{project_id}/{region_id}/{cluster_name}/users/{username}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"password": "<PASSWORD>",
"username": "myuser"
}Managed PostgreSQL
Regenerate PostgreSQL user credentials
Generate new credentials for a specific user in a PostgreSQL cluster.
POST
/
cloud
/
v1
/
dbaas
/
postgres
/
clusters
/
{project_id}
/
{region_id}
/
{cluster_name}
/
users
/
{username}
/
credentials
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
postgres_user_credentials = client.cloud.databases.postgres.clusters.user_credentials.regenerate(
username="username",
project_id=0,
region_id=0,
cluster_name="cluster_name",
)
print(postgres_user_credentials.password)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
postgresUserCredentials, err := client.Cloud.Databases.Postgres.Clusters.UserCredentials.Regenerate(
context.TODO(),
"username",
cloud.DatabasePostgresClusterUserCredentialRegenerateParams{
ProjectID: gcore.Int(0),
RegionID: gcore.Int(0),
ClusterName: "cluster_name",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", postgresUserCredentials.Password)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Region ID
Cluster name
Username
Was this page helpful?
⌘I